Bug 750255 - Eclipse workspace selection ignored on start up.
Eclipse workspace selection ignored on start up.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
16
i386 Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Roland Grunberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-31 09:59 EDT by Adam G. Metzler
Modified: 2013-01-30 15:45 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-23 13:42:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
eclipse startup log (minus security certificates section) (334.41 KB, text/plain)
2011-10-31 10:00 EDT, Adam G. Metzler
no flags Details

  None (edit)
Description Adam G. Metzler 2011-10-31 09:59:13 EDT
Description of problem: The eclipse setting to select the workspace on start up is ignored and always loads the default workspace even if it is deleted from the list and the file system. The only time the workspace selection dialog has ever been displayed was upon first run after installing eclipse and the linux-tools suite. My fedora version is 3.1.0-1.fc16.i686 and my eclipse install info is in the attached file, as it is very long. This is not a major bug just an annoying one because you have to select the workspace you ACTUALLY want from the file menu AFTER eclipse loads and you have to wait for eclipse to load the different workspace.


Version-Release number of selected component (if applicable):
eclipse 3.7.0

How reproducible:
everytime

Steps to Reproduce:
1.install eclipse from the fedora repository
2.open eclipse into the default workspace when asked (leaving the never ask again option UN-checked)
3.close eclipse and reopen the workspace selection dialog does not show.
4.ensure that the ask every startup option is set under general -> startup and shut down -> workspaces
5.restart eclipse again and still no workspace selection dialog.
  
Actual results:
Workspace selection dialog is never show after initial startup.


Expected results:
Workspace selection dialog should show when the setting to show it on startup is set.

Additional info:
Comment 1 Adam G. Metzler 2011-10-31 10:00:40 EDT
Created attachment 530980 [details]
eclipse startup log (minus security certificates section)
Comment 2 Andrew Overholt 2011-11-25 16:14:04 EST
Adam, sorry this has taken so long for us to get around to looking at.

Roland, please take a look at this issue.
Comment 3 Roland Grunberg 2011-11-28 10:11:25 EST
As a regular install of eclipse-3.7.0 I haven't been able to reproduce this issue, so I'll take a look into maybe the possibility that the additional plugins might be affecting some settings. There is also Eclipse 3.7.1 now in Fedora 16. Does the issue persist in the newer version?
Comment 4 Adam G. Metzler 2011-11-29 12:39:54 EST
After having a problem with installing updates from updates-testing repo and having to reinstall eclipse this problem seems to be gone and does not seem to be present with 3.7.1 packages now that its officially been released.
Comment 5 Lukas Marek 2011-12-07 16:18:09 EST
I'm having also this issue even with the latest stable update. Sadly, I cannot reproduce it, but if I delete configuration/org.eclipse.osgi directory it goes away for a while.
Comment 6 Roland Grunberg 2012-01-16 12:41:16 EST
I've encountered this issue since, and was able to restore the workspace prompt by launching eclipse with the "-clean" option. All subsequent launches prompted me for the workspace.
Comment 7 Lukas Marek 2012-02-23 07:34:28 EST
I haven't seen this issue for at least 14 days. Before, it was every second day. Something definitely changed. Consider this as fixed for me.
Comment 8 Andrew Overholt 2012-02-23 12:22:30 EST
Are you still seeing this, Roland?  If not, please close it for now.  (FWIW, I've never been able to reproduce :( )
Comment 9 Roland Grunberg 2012-02-23 13:42:13 EST
I have not seen this issue since, and I'm using Fedora Eclipse regularly. Also, given that there is a work around, I think the priority would be lower for this. Closing as insufficient_data for now.
Comment 10 Peter Laird 2013-01-30 15:39:08 EST
I am currently reproducing this. My org.eclipse.ui.ide.prefs has this:

SHOW_WORKSPACE_SELECTION_DIALOG=true

but the dialog is not shown and a workspace is automatically loaded at startup. I will hold off using the -clean solution for a little while to hear if anyone wants me to do any diagnostics.

Version:

Eclipse Java EE IDE for Web Developers.
Version: Juno Service Release 1
Build id: 20121004-1855

OS:

Linux Mint 14
Linux * 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

JDK:
java version "1.7.0_10"
Java(TM) SE Runtime Environment (build 1.7.0_10-b18)
Java HotSpot(TM) 64-Bit Server VM (build 23.6-b04, mixed mode)

Launcher:
/usr/bin/java -Djava.library.path=/usr/lib/x86_64-linux-gnu/jni:/usr/java/packages/lib/amd64:/usr/lib64:/lib64:/lib:/usr/lib -Dosgi.requiredJavaVersion=1.5 -Dhelp.lucene.tokenizer=standard -Xms40m -Xmx512m -XX:MaxPermSize=256m -jar /home/plaird/Apps/eclipse-juno//plugins/org.eclipse.equinox.launcher_1.3.0.v20120522-1813.jar -os linux -ws gtk -arch x86_64 -showsplash /home/plaird/Apps/eclipse-juno//plugins/org.eclipse.platform_4.2.1.v201209141800/splash.bmp -launcher /home/plaird/Apps/eclipse-juno/eclipse -name Eclipse --launcher.library /home/plaird/Apps/eclipse-juno//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.200.v20120522-1813/eclipse_1502.so -startup /home/plaird/Apps/eclipse-juno//plugins/org.eclipse.equinox.launcher_1.3.0.v20120522-1813.jar --launcher.overrideVmargs -exitdata 34c0008 -product org.eclipse.epp.package.jee.product -vm /usr/bin/java -vmargs -Djava.library.path=/usr/lib/x86_64-linux-gnu/jni:/usr/java/packages/lib/amd64:/usr/lib64:/lib64:/lib:/usr/lib -Dosgi.requiredJavaVersion=1.5 -Dhelp.lucene.tokenizer=standard -Xms40m -Xmx512m -XX:MaxPermSize=256m -jar /home/plaird/Apps/eclipse-juno//plugins/org.eclipse.equinox.launcher_1.3.0.v20120522-1813.jar
Comment 11 Alexander Kurtakov 2013-01-30 15:45:54 EST
Can you actually reproduce this using Eclipse as packaged in Fedora ? Bugs about other distributions belong to their distribution bug trackers or bugs.eclipse.org .

Note You need to log in before you can comment on or make changes to this bug.